Bug 55432 - EDITING: the context menu opened out of screen boundaries if (1) opened by the keyboard key and (2) in column A, (3) in RTL mode, and (4) column A is wider than menu width*1.6 :)
Summary: EDITING: the context menu opened out of screen boundaries if (1) opened by th...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: All All
: medium trivial
Assignee: Abdulaziz Ayed
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks: RTL-CTL 63444
  Show dependency treegraph
 
Reported: 2012-09-28 19:21 UTC by shula
Modified: 2013-04-22 15:10 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
example of menu partially hidden. if col A is wider, the menu will be completely invisible. (24.36 KB, image/png)
2012-09-28 19:21 UTC, shula
Details

Note You need to log in before you can comment on or make changes to this bug.
Description shula 2012-09-28 19:21:25 UTC
Created attachment 67836 [details]
example of menu partially hidden. if col A is wider, the menu will be completely invisible.

how to reproduce 

1) set the sheet as Right To Left (e.g. by right-clicking on sheet tab)

2) move the cursor to any cell on first column (Col A is on the right now)

3) enlarge width of column A to twice the width of the context menu (on my system it's 5.62 cm, YMMV. Try 6 cm to be sure)

4) press the "context menu button" on your keyboard (it's usually found between the right Ctrl and right Alt keys)

5) maximize the window, or otherwise match Calc's right window edge with the screens right edge.

6) no menu is shown, but the arrow keys are NOT moving the cursor
 - that's because the menu is opened, but beyond the right edge of the screen. 
 - you can still select an item, but you can't see your selection.

(it sounds like an easter egg, but it's an annoying usability bug)

notes:
* menu is opened correctly does works well if you use the mouse's right button.
* it works well from the 2nd (B) column and forth, regardless of the column widths
* (it's as annoying as it is funny)


possible solution:
reverse the position of left-to-right context menu. this issue is dealt with well in LTR mode.
Comment 1 bfoman (inactive) 2013-03-15 14:01:55 UTC
Is this still an issue in the latest stable 4.0.x release?
Comment 2 shula 2013-03-15 14:57:18 UTC
yes.
i downloaded v4 just now, and confirmed the bug.

however, i may be the only person in the world who's unfortunate enough to work on rtl in libreoffice calc and using the keyboard for invoking the context menu?
Comment 3 bfoman (inactive) 2013-03-15 15:25:42 UTC
List of closed and open RTL bugs is available at wiki page https://wiki.documentfoundation.org/RTL_Bugs or you can follow bug 43808 to track the RTL related bugs in the Bugzilla. 
You should ask an owner of this bug how to add this issue to the list.
Comment 4 Faisal Menawer 2013-04-06 07:01:15 UTC
Reproduced in LibreOffice 4.0.1.2 
on ubuntu 12.10 64-bit
Comment 5 Abdulaziz Ayed 2013-04-09 09:52:20 UTC
I submit a patch that solving this bug
you can check it in https://gerrit.libreoffice.org/#/c/3271/
Comment 6 Muhammad Bashir Al-Noimi 2013-04-19 12:53:45 UTC
*** Bug 63444 has been marked as a duplicate of this bug. ***
Comment 7 Commit Notification 2013-04-20 12:02:32 UTC
Abdulaziz A Alayed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89feda6bfdeacb647d44cb432d5ebc2678c44c89

fdo#55432 fix the context menu position for RTL sheet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Lior Kaplan 2013-04-22 14:54:46 UTC
Fix verified on a build from master.

> *** Bug 63444 has been marked as a duplicate of this bug. ***
Actually it's not a duplicate but a similar bug. While this bug is fixed, the other one is still happens.